LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::frame::InfobarType Constant Group Reference

Infobar types. More...

## Variables
const long | INFO = 0
| For information messages (color: light blue). More...
const long | SUCCESS = 1
| For success notifications (color: light green). More...
const long | WARNING = 2
| For warning messages (color: orange). More...
const long | DANGER = 3
| For critical errors (color: red). More...

## Detailed Description

Infobar types.

Since
  LibreOffice 6.4

## Variable Documentation

## ◆ DANGER

const long DANGER = 3

For critical errors (color: red).

## ◆ INFO

const long INFO = 0

For information messages (color: light blue).

## ◆ SUCCESS

const long SUCCESS = 1

For success notifications (color: light green).

## ◆ WARNING

const long WARNING = 2

For warning messages (color: orange).